caption: Allow or deny screen capture
default: true
desc: "If enabled or not configured (default), a Web page can use\n      screen-share\
  \ APIs (e.g., getDisplayMedia() or the Desktop Capture extension API)\n      to\
  \ prompt the user to select a tab, window or desktop to capture.\n\n      When this\
  \ policy is disabled, any calls to screen-share APIs will fail\n      with an error;\
  \ however this policy is not considered (and a site will be\n      allowed to use\
  \ screen-share APIs) if the site matches an origin pattern in\n      any of the\
  \ following policies:\n      <ph name=\"SCREEN_CAPTURE_ALLOWED_BY_ORIGINS_POLICY_NAME\"\
  >ScreenCaptureAllowedByOrigins</ph>,\n      <ph name=\"WINDOW_CAPTURE_ALLOWED_BY_ORIGINS_POLICY_NAME\"\
  >WindowCaptureAllowedByOrigins</ph>,\n      <ph name=\"TAB_CAPTURE_ALLOWED_BY_ORIGINS_POLICY_NAME\"\
  >TabCaptureAllowedByOrigins</ph>,\n      <ph name=\"SAME_ORIGIN_TAB_CAPTURE_ALLOWED_BY_ORIGINS_POLICY_NAME\"\
  >SameOriginTabCaptureAllowedByOrigins</ph>.\n      "
example_value: false
features:
  dynamic_refresh: true
  per_profile: true
future_on:
- fuchsia
items:
- caption: Allow sites to prompt the user to share a video stream of their screen
  value: true
- caption: Do not allow sites to prompt the user to share a video stream of their
    screen
  value: false
owners:
- guidou@chromium.org
- marinaciocea@chromium.org
schema:
  type: boolean
supported_on:
- chrome.*:81-
- chrome_os:81-
tags: []
type: main
